{"openapi":"3.0.0","info":{"title":"24liveblog API","description":"API for access to the data within 24liveblog.","version":"1.0.0"},"servers":[{"url":"https://api.24liveblog.com/v1","description":"Main server"}],"tags":[{"name":"User"},{"name":"Event"},{"name":"News"},{"name":"Team"},{"name":"Contacts"}],"paths":{"/update_server/login/":{"post":{"description":"Generate authentication information.","tags":["User"],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"email":{"description":"Email of the account on 24liveblog.","type":"string"},"password":{"description":"Password of the account on 24liveblog.","type":"string"}},"required":["email","password"]}}}},"responses":{"200":{"description":"Get user information, authentication information.","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"properties":{"uid":{"description":"User id.","type":"string"},"uname":{"description":"User name.","type":"string"},"liveid":{"description":"Unique identifier for the user on 24liveblog.","type":"string"},"avatar_url":{"description":"User avatar.","type":"string"},"token":{"description":"Authentication information, expired in 14 days.","type":"string"},"refresh_token":{"description":"Used to update token which is expired, expired in 30 days.","type":"string"}}}}}}}}}}},"/update_server/refresh/token/":{"post":{"description":"Update token which is expired.","tags":["User"],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"token":{"description":"Authentication information, expired in 14 days.","type":"string"},"refresh_token":{"description":"Used to update token which is expired, expired in 30 days.","type":"string"}},"required":["token","refresh_token"]}}}},"responses":{"200":{"description":"Refresh token","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","default":100,"type":"integer"},"err_msg":{"description":"Response message","default":"success","type":"string"},"data":{"properties":{"token":{"description":"Authentication information, expired in 14 days.","type":"string"},"refresh_token":{"description":"Used to update token which is expired, expired in 30 days.","type":"string"}}}}}}}}}}},"/update_server/user/{uid}/profile/":{"get":{"description":"Get user profile.","tags":["User"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"name":"uid","in":"path","required":true,"description":"User id.","schema":{"type":"string"}}],"responses":{"200":{"description":"User profile","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"$ref":"#/components/schemas/Profile"}}}}}}}}},"/update_server/user/{uid}/events/":{"get":{"description":"Get all events of the user.","tags":["Event"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"name":"uid","in":"path","required":true,"description":"User id.","schema":{"type":"string"}},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/offset"},{"name":"belong_to","in":"query","description":"Personal events or team events. (0:Personal, 1:Team, -1:All)","schema":{"type":"integer","default":-1}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"description":"Event list.","properties":{"count":{"description":"The count of events that the user have.","type":"integer"},"events":{"$ref":"#/components/schemas/Events"}}}}}}}}}},"post":{"description":"Create a new event object.","tags":["Event"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"name":"uid","in":"path","required":true,"description":"User id.","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/EventRequestBody"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"description":"response data","type":"object","properties":{"eid":{"description":"Event id","type":"string"}}}}}}}}}}},"/update_server/event/{eid}/":{"get":{"description":"Get event details.","tags":["Event"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"properties":{"event":{"$ref":"#/components/schemas/Event"}}}}}}}}}},"put":{"description":"Update the information of the event.","tags":["Event"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/EventRequestBody"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}},"delete":{"description":"Delete event.","tags":["Event"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}},"/update_server/event/{eid}/score/":{"get":{"description":"Get match score information of the event.","tags":["Event"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"properties":{"events":{"$ref":"#/components/schemas/EventScore"}}}}}}}}}},"put":{"description":"Update match score of the event.","tags":["Event"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"ascore":{"description":"Hometeam score.","type":"integer"},"bscore":{"description":"Awayteam score.","type":"integer"},"aname":{"description":"Hometeam name.","type":"string"},"bname":{"description":"Awayteam name.","type":"string"},"ateam_logo":{"description":"Hometeam logo.","type":"string"},"bteam_logo":{"description":"Awayteam logo.","type":"string"}},"required":["ascore","bscore","aname","bname","ateam_logo","bteam_logo"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}},"/update_server/event/{eid}/editors/":{"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"}],"get":{"description":"Get all contributors of an event.","tags":["Event"],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"properties":{"editors":{"description":"Editor information.","type":"array","items":{"$ref":"#/components/schemas/Editor"}}}}}}}}}}},"post":{"description":"Add contributor by email.","tags":["Event"],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"email":{"description":"Editor email address.","type":"string"},"admin_level":{"description":"Admin role of the contributor. (1:administrator,0:editor)","type":"integer","default":0,"enum":[0,1]}},"required":["email"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}},"/update_server/event/{eid}/editor/{uid}/":{"delete":{"description":"Remove a contributor of an event.","tags":["Event"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"},{"name":"uid","in":"path","required":true,"description":"User id.","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}},"/update_server/event/{eid}/statistic/summary/":{"get":{"description":"Get event statistics.","tags":["Event"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"$ref":"#/components/schemas/Statistics"}}}}}}}}},"/update_server/event/{eid}/news/":{"get":{"description":"Get news of an event.","tags":["News"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"},{"$ref":"#/components/parameters/limit"},{"name":"last_nid","in":"query","description":"A cursor of nid for use in pagination.","schema":{"type":"integer"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"properties":{"count":{"description":"The count of news in the event.","type":"integer"},"news":{"description":"News list.","type":"array","items":{"$ref":"#/components/schemas/News"}}}}}}}}}}},"post":{"description":"Post a news to event.","tags":["News"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/NewsRequestBody"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}},"/update_server/event/{eid}/news/{nid}/":{"get":{"description":"Get news information.","tags":["News"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"},{"name":"nid","in":"path","required":true,"description":"News id.","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"$ref":"#/components/schemas/News"}}}}}}}},"put":{"description":"Update news information.","tags":["News"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"},{"name":"nid","in":"path","required":true,"description":"News id.","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/NewsRequestBody"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}},"delete":{"description":"Delete news.","tags":["News"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"},{"name":"nid","in":"path","required":true,"description":"News id.","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}},"/update_server/event/{eid}/top/{nid}/":{"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"$ref":"#/components/parameters/eid"},{"name":"nid","in":"path","required":true,"description":"News id.","schema":{"type":"string"}}],"post":{"description":"Stick a news.","tags":["News"],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}},"delete":{"description":"Un-stick a news.","tags":["News"],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}},"/update_server/user/{uid}/team/":{"get":{"description":"Get all members of the user team.","tags":["Team"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"name":"uid","in":"path","required":true,"description":"User id.","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"properties":{"tid":{"description":"Team id.","type":"string"},"team_name":{"description":"The team name.","type":"string"},"team_mem":{"description":"Team membership status. (0:not member, 1:Monthly, 3:Annually, 4:Business Monthly, 6:Business Annually)","type":"string"},"team_level":{"description":"User admin level in the team. (0:editor, 1:administrator, 2:owner)","type":"string"},"team_members":{"description":"Team members.","type":"array","items":{"$ref":"#/components/schemas/Members"}}}}}}}}}}}},"/update_server/team/{tid}/members/":{"post":{"description":"Add a team member.","tags":["Team"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"name":"tid","in":"path","required":true,"description":"Team id.","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"email":{"description":"Email address.","type":"string"},"team_level":{"description":"User admin level in the team. (0:editor, 1:administrator, 2:owner)","type":"integer","enum":[0,1],"default":0}},"required":["email"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}},"/update_server/team/{tid}/member/{uid}/":{"delete":{"description":"Delete a team member.","tags":["Team"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"name":"tid","in":"path","required":true,"description":"Team id","schema":{"type":"string"}},{"name":"uid","in":"path","required":true,"description":"User uid.","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}},"/update_server/user/{uid}/contacts/":{"get":{"description":"Get all contacts of the user.","tags":["Contacts"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"name":"uid","in":"path","required":true,"description":"User id.","schema":{"type":"string"}},{"name":"unconfirmed","in":"query","description":"Contacts type, (0:confirmed, 1:not confirmed)","schema":{"type":"integer","default":0}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"},"data":{"properties":{"confirmed_count":{"description":"The count of contacts which were confirmed.","type":"integer"},"unconfirmed_count":{"description":"The count of contacts which were not confirmed.","type":"integer"},"contacts":{"description":"Contacts information.","type":"array","items":{"$ref":"#/components/schemas/Contact"}}}}}}}}}}},"post":{"description":"Add a contact.","tags":["Contacts"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"name":"uid","in":"path","required":true,"description":"User uid.","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"email":{"description":"Email address.","type":"string"}},"required":["email"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}},"/update_server/user/{uid}/contacts/{contact_uid}/":{"delete":{"description":"Delete a contact.","tags":["Contacts"],"parameters":[{"$ref":"#/components/parameters/oauth_token"},{"name":"uid","in":"path","required":true,"description":"User id","schema":{"type":"string"}},{"name":"contact_uid","in":"path","required":true,"description":"The uid of the contact.","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponses"}}}}}}}},"components":{"parameters":{"oauth_token":{"name":"token","in":"header","required":true,"description":"authentication information.","schema":{"type":"string"}},"eid":{"name":"eid","in":"path","required":true,"description":"Event id.","schema":{"type":"string"}},"limit":{"name":"limit","in":"query","description":"Limits the number of results returned. Limit can range between 1 and 50.","schema":{"type":"integer","minimum":1,"maximum":50,"default":10}},"offset":{"name":"offset","in":"query","description":"Offset from zero of where to start results.","schema":{"type":"integer","default":0}}},"schemas":{"Profile":{"description":"User profile.","properties":{"uid":{"description":"User id.","type":"string"},"uname":{"description":"User name.","type":"string"},"avatar_url":{"description":"User avatar.","type":"string"},"email":{"description":"User email address.","type":"string"},"liveid":{"description":"Unique identifier for the user on 24liveblog.","type":"string"},"mem":{"description":"User membership status (0:not member, 1:Monthly, 3:Annually, 4:Business Monthly, 6:Business Annually).","type":"integer"},"platform":{"description":"User membership subscription platform (0:not member, 1:stripe，2:paypal).","type":"integer"},"tel":{"description":"User telephone.","type":"string"},"introduce":{"description":"User introduce.","type":"string"},"company":{"description":"User company.","type":"string"},"website":{"description":"User website.","type":"string"},"twitter":{"description":"User twitter account.","type":"string"},"facebook":{"description":"User facebook account.","type":"string"},"linkedin":{"description":"User linkedin account.","type":"string"}}},"Events":{"description":"Events list.","type":"array","items":{"type":"object","properties":{"eid":{"description":"Event id.","type":"string"},"uid":{"description":"The user id of creator.","type":"string"},"uname":{"description":"The user name of creator.","type":"string"},"avatar_url":{"description":"The user avatar of creator.","type":"string"},"title":{"description":"Event title.","type":"string"},"desc":{"description":"Event description.","type":"string"},"cover":{"description":"The url of the cover.","type":"string"},"category_id":{"description":"The category id of the event. (1:News, 2:Technology, 3:Finance, 4:Weather, 5:Others, 6:BJJ, 7:Badminton, 8:Baseball, 9:Basketball, 10:Bboying, 11:Boxing, 12:Counter Strike, 13:Cricket, 14:Cycling, 15:Football, 16:Golf, 17:Handball, 18:Hockey, 19:Judo, 20:League of Legends, 21:MMA, 22:Motorsport, 23:Other Sports, 24:Poker, 25:Rugby, 26:Soccer, 27:Surfing, 28:Tennis, 29:Volleyball, 30:Wrestling)","type":"integer","default":1,"enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30]},"pv":{"description":"The count of pageview.","type":"integer"},"comment_count":{"description":"The count of comments.","type":"integer"},"likes_count":{"description":"The count of claps.","type":"integer"},"news_count":{"description":"The count of news.","type":"integer"},"started":{"description":"The start time of the event. (in UNIX time)","type":"integer"},"created":{"description":"The create time of the event. (in UNIX time)","type":"integer"},"updated":{"description":"The latest updated time of the event. (in UNIX time)","type":"integer"},"closed":{"description":"Event status. (0:live, 1:close and sort by oldest, 2:close and sort by newest)","type":"integer","default":0,"enum":[0,1,2]},"self":{"description":"Has the value 1 if the event is created by the user, otherwise 0.","type":"integer"}}}},"Event":{"description":"Information for the event.","type":"object","properties":{"title":{"description":"Event title.","type":"string"},"description":{"description":"Event description.","type":"string"},"liveurl":{"description":"Website live blog url (minLength:0, maxLength:400).","type":"string"},"tags":{"description":"Event tags.","type":"array","items":{"type":"string"}},"started":{"description":"The start time of the event. (in UNIX time)","type":"integer"},"cover":{"description":"The url of the event cover.","type":"string"},"language":{"description":"Event language. (en:English, fr:French, de:German, nl:Dutch, ru:Russian, pt:Portuguese, el:Greek, es:Spanish, sv:Swedish, zh-TW:Chinese Traditional, zh-CN:Chinese Simplified)","type":"string","default":"en","enum":["en","fr","de","nl","ru","pt","el","es","sv","zh-TW","zh-CN"]},"sound":{"description":"The prompt of new news.","type":"string","default":"sound1","enum":["mute","sound1","sound2","sound3","sound4","sound5","sound6"]},"maxonepage":{"description":"Pagination.","type":"integer"},"timeformat":{"description":"Time format. (\"now\":\"Relative Time\", \"HH:mm\":\"hh:mm\", \"MMM DD HH:mm\":\"Month dd hh:mm\", \"MMM DD, YYYY HH:mm\":\"Month dd, yyyy hh:mm\", \"YYYY MMM DD HH:mm\":\"yyyy Month dd hh:mm\", \"YYYY/MM/DD HH:mm\":\"yyyy/mm/dd hh:mm\", \"MM/DD/YYYY HH:mm\":\"mm/dd/yyyy hh:mm\", \"DD/MM/YYYY HH:mm\":\"dd/mm/yyyy hh:mm\", \"MM/DD HH:mm\":\"mm/dd hh:mm\", \"DD/MM HH:mm\":\"dd/mm hh:mm\")","type":"string","default":"now","enum":["now","HH:mm","MMM DD HH:mm","MMM DD, YYYY HH:mm","YYYY MMM DD HH:mm","YYYY/MM/DD HH:mm","MM/DD/YYYY HH:mm","DD/MM/YYYY HH:mm","MM/DD HH:mm","DD/MM HH:mm"]},"embed_type":{"description":"Theme (0:Normal, 3:Sports, 4-1:Dark-black, 4-2:Dark-gray, 5-1:Card-black, 5-3:Card-blue, 5-4:Card-red, 6-1:Metallic-black, 6-2:Metallic-gray, 7-1:Out border-black, 7-2:Out border-gray, 8-1:Block-black, 8-2:Block-gray, 9:Live center)","type":"string","default":0,"enum":[0,3,"4-1","4-2","5-1","5-3","5-4","6-1","6-2","7-1","7-2","8-1","8-2",9]},"scorebar":{"description":"Need to update the score of a match. (1:yes, 0:no)","type":"integer","default":0},"match_vote":{"description":"Allow visitors to vote for a team. (1:yes, 0:no)","type":"integer"},"match_timeline":{"description":"Display timeline for soccer. (1:yes, 0:no)","type":"integer","default":1},"retweet":{"description":"Allow visitors to share the news to Twitter. (1:yes, 0:no)","type":"integer","default":1},"livevisitors":{"description":"Display the count of visitors. (1:yes, 0:no)","type":"integer","default":1},"livelikes":{"description":"Allow visitors to clap for a news. (1:yes, 0:no)","type":"integer","default":1},"livetalk":{"description":"Allow comment. (1:yes, 0:no)","type":"integer","default":1},"chat_enable":{"description":"Display a chatroom. (1:yes, 0:no)","type":"integer","default":1},"liveblog_enable":{"description":"Leave the comments with 24liveblog account. (1:yes, 0:no)","type":"integer","default":1},"anonymous_enable":{"description":"Allow anonymous to comment. (1:yes, 0:no)","type":"integer","default":1},"chat_position":{"description":"The position of chatroom. (1:bottom-left, 0:bottom-right)","type":"integer","default":0},"greetings":{"description":"Greeting message in chatroom.","type":"string","default":"Hi, thanks for being here, would you like to join our live chat?"},"closed":{"description":"Event status. (0:live, 1:close and sort by oldest, 2:close and sort by newest)","type":"integer","default":0,"enum":[0,1,2]},"statusbar":{"description":"Display statusbar. (1:yes, 0:no, only for premium user)","type":"integer","default":1},"whitelabel":{"description":"Remove '24liveblog' branding. (1:yes, 0:no, only for premium user)","type":"integer","default":0},"show_on_24":{"description":"Display the event on the website of '24liveblog.com'. (1:yes, 0:no, only for premium user)","type":"integer","default":1},"disable_cookie":{"description":"Disable 24liveblog to save and read any cookie data. (1:yes, 0:no, only for premium user)","type":"integer","default":0},"is_creator_mem":{"description":"The creator of the event is a premium user. (1:yes, 0:no)","type":"boolean"},"category_id":{"description":"The category id of the event. (1:News, 2:Technology, 3:Finance, 4:Weather, 5:Others, 6:BJJ, 7:Badminton, 8:Baseball, 9:Basketball, 10:Bboying, 11:Boxing, 12:Counter Strike, 13:Cricket, 14:Cycling, 15:Football, 16:Golf, 17:Handball, 18:Hockey, 19:Judo, 20:League of Legends, 21:MMA, 22:Motorsport, 23:Other Sports, 24:Poker, 25:Rugby, 26:Soccer, 27:Surfing, 28:Tennis, 29:Volleyball, 30:Wrestling)","type":"integer","default":1,"enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30]},"category_name":{"description":"The category name of the event.","type":"string"},"category_img":{"description":"The category image of the event.","type":"string"},"top_id":{"description":"News nid which is sticked.","type":"string"},"likes":{"description":"The count of claps.","type":"integer"},"pv":{"description":"The count of pageview.","type":"integer"},"device":{"type":"object","properties":{"tablet":{"description":"The count of visitors used tablet.","type":"integer"},"mobile":{"description":"The count of visitors used mobile.","type":"integer"},"pc":{"description":"The count of visitors used pc.","type":"integer"}}},"belong_to":{"description":"The event belongs to personal account or team. (1:team, 0:personal)","type":"integer"}}},"EventScore":{"description":"Event score information.","type":"object","properties":{"aname":{"description":"Hometeam name.","type":"string"},"bname":{"description":"Awayteam name.","type":"string"},"ateam_logo":{"description":"Hometeam logo.","type":"string"},"bteam_logo":{"description":"Awayteam logo.","type":"string"},"ascore":{"description":"Hometeam score.","type":"integer"},"bscore":{"description":"Awayteam score.","type":"integer"},"avote":{"description":"The vore count of hometeam.","type":"integer"},"bvote":{"description":"The vore count of awayteam.","type":"integer"},"ateam_id":{"description":"Hometeam id.","type":"string"},"bteam_id":{"description":"Awayteam id.","type":"string"}}},"Editor":{"description":"Editor information.","properties":{"admin_level":{"description":"Admin role of the editor. (1:administrator,0:editor)","type":"integer","default":0,"enum":[0,1]},"uid":{"description":"The user id of the editor.","type":"integer"},"uname":{"description":"The user name of the editor.","type":"string"},"avatar_url":{"description":"The user avatar of the editor.","type":"string"},"email":{"description":"The email address of the editor.","type":"string"},"liveid":{"description":"Unique identifier for the user on 24liveblog.","type":"string"},"online":{"description":"The editor is online now. (1:yes,0:no)","type":"integer"},"is_creator":{"description":"The editor is the creator of the event. (1:yes,0:no)","type":"integer"},"is_confirmed":{"description":"The editor is agreed to be a contributor of the event. (1:yes,0:no)","type":"integer"},"news_count":{"description":"The count of news that the editor had post.","default":0,"type":"integer"}}},"News":{"description":"News details.","type":"object","properties":{"nid":{"description":"News id.","type":"string"},"newstitle":{"description":"News title.","type":"string"},"contents":{"description":"News contents.","type":"string"},"created":{"description":"The create time of the news. (in UNIX time).","type":"integer"},"lastupdate":{"description":"The update time of the news. (in UNIX time).","type":"integer"},"editorname":{"description":"Display the editor's name. (1:yes,0:no)","type":"integer","default":1,"enum":[0,1]},"uid":{"description":"The user id of creator.","type":"string"},"uname":{"description":"The user name of creator.","type":"string"},"avatar_url":{"description":"The user avatar of creator.","type":"string"},"news_type":{"description":"News type. (0:Text, 1:Audio, 2:Video, 3:Twitter, 4:Facebook, 5:YouTube, 6:Instagram, 7:HTML, 8:Poll, 9:Ad_code)","type":"integer","enum":[0,1,2,3,4,5,6,7,8,9],"default":1},"likes":{"description":"The count of claps.","type":"integer"},"background":{"description":"The background color of a news. \\#D1DCED, for example.","type":"string","minLength":0,"maxLength":10},"duration":{"description":"The time limit that visitors could vote for the poll.(unit:second, 0:0 min, 60:1 min, 120:2 mins, 300:5 mins, 900:15 mins, 1800:30 mins, 3600:60 mins, 86400:24\\*60 mins, 604800:7\\*24\\*60 mins)","type":"integer","enum":[0,60,120,300,900,1800,3600,86400,604800],"default":1},"voting_count":{"description":"Total voting count of all options in vote news.","type":"integer"},"options":{"description":"Poll options.","type":"array","minItems":2,"maxItems":20,"items":{"type":"object","properties":{"pid":{"description":"Poll option id.","type":"string"},"desc":{"description":"Poll option description.","type":"string"},"count":{"description":"Poll option count.","type":"integer"}}}}}},"Members":{"description":"Team members","type":"object","properties":{"uid":{"description":"User id.","type":"string"},"team_level":{"description":"Admin level in the team. (1:administrator,0:editor)","type":"string"},"is_confirmed":{"description":"The user is agreed to be a member of the team. (1:yes,0:no)","type":"integer"},"uname":{"description":"User name.","type":"string"},"avatar":{"description":"User avatar.","type":"string"},"email":{"description":"User email address.","type":"string"}}},"Contact":{"description":"Contact information","type":"object","properties":{"uid":{"description":"User id.","type":"string"},"uname":{"description":"User name.","type":"string"},"avatar_url":{"description":"User avatar.","type":"string"},"email":{"description":"User email address.","type":"string"}}},"Statistics":{"description":"Statistics data.","type":"object","properties":{"title":{"description":"Event title.","type":"string"},"started":{"description":"Event started unix time.","type":"integer"},"closed":{"description":"Event status. (0:live, 1:close and sort by oldest, 2:close and sort by newest)","type":"integer","default":0,"enum":[0,1,2]},"updated":{"description":"Event last updated unix time.","type":"integer"},"liveurl":{"description":"Website live blog url.","type":"string"},"duration":{"description":"Engagement mins of visitors.","type":"integer"},"max_uv":{"description":"Peak Online.","type":"integer"},"uv_count":{"description":"How many users have visited the event.","type":"integer"},"pv_count":{"description":"The count of pageview.","type":"integer"},"news_count":{"description":"The count of news.","type":"integer"},"likes_count":{"description":"The count of claps.","type":"integer"},"comments_count":{"description":"The count of comments.","type":"integer"},"contributor_count":{"description":"The count of contributors.","type":"integer"}}},"EventRequestBody":{"type":"object","required":["title","cover"],"properties":{"belong_to":{"description":"Choose to create the event either under your personal account or for all your team members.. (1:team, 0:personal)","type":"integer","enum":[0,1],"default":0},"title":{"description":"Event title (minLength:1, maxLength:200).","type":"string","minLength":1,"maxLength":200},"cover":{"description":"The url of the event cover. (starting with http or https)","type":"string"},"description":{"description":"Event description (minLength:0, maxLength:2000).","type":"string","minLength":0,"maxLength":2000},"live_url":{"description":"Website live blog url (minLength:0, maxLength:400).","type":"string","minLength":0,"maxLength":400},"tags":{"description":"Event tags.","type":"array","items":{"type":"string","minLength":0,"maxLength":400}},"started":{"description":"The start time of the event (in UNIX time). If no value, use creation time instead.","type":"integer"},"countdown":{"description":"Display a countdown timer before the event starts. (1:yes, 0:no)","type":"integer","enum":[0,1],"default":1},"language":{"description":"Event language. (en:English, fr:French, de:German, nl:Dutch, ru:Russian, pt:Portuguese, el:Greek, es:Spanish, sv:Swedish, zh-TW:Chinese Traditional, zh-CN:Chinese Simplified)","type":"string","default":"en","enum":["en","fr","de","nl","ru","pt","el","es","sv","zh-TW","zh-CN"]},"sound":{"description":"The prompt of new news.","type":"string","default":"sound1","enum":["mute","sound1","sound2","sound3","sound4","sound5","sound6"]},"maxonepage":{"description":"Pagination.","type":"integer","default":20},"timeformat":{"description":"Time format. (\"now\":\"Relative Time\", \"HH:mm\":\"hh:mm\", \"MMM DD HH:mm\":\"Month dd hh:mm\", \"MMM DD, YYYY HH:mm\":\"Month dd, yyyy hh:mm\", \"YYYY MMM DD HH:mm\":\"yyyy Month dd hh:mm\", \"YYYY/MM/DD HH:mm\":\"yyyy/mm/dd hh:mm\", \"MM/DD/YYYY HH:mm\":\"mm/dd/yyyy hh:mm\", \"DD/MM/YYYY HH:mm\":\"dd/mm/yyyy hh:mm\", \"MM/DD HH:mm\":\"mm/dd hh:mm\", \"DD/MM HH:mm\":\"dd/mm hh:mm\")","type":"string","default":"now","enum":["now","HH:mm","MMM DD HH:mm","MMM DD, YYYY HH:mm","YYYY MMM DD HH:mm","YYYY/MM/DD HH:mm","MM/DD/YYYY HH:mm","DD/MM/YYYY HH:mm","MM/DD HH:mm","DD/MM HH:mm"]},"embed_type":{"description":"Theme (0:Normal, 3:Sports, 4-1:Dark-black, 4-2:Dark-gray, 5-1:Card-black, 5-3:Card-blue, 5-4:Card-red, 6-1:Metallic-black, 6-2:Metallic-gray, 7-1:Out border-black, 7-2:Out border-gray, 8-1:Block-black, 8-2:Block-gray, 9:Live center)","type":"string","enum":[0,3,"4-1","4-2","5-1","5-3","5-4","6-1","6-2","7-1","7-2","8-1","8-2",9],"default":"0"},"scorebar":{"description":"Need to update the score of a match. (1:yes, 0:no)","type":"integer","enum":[0,1],"default":0},"match_vote":{"description":"Allow visitors to vote for a team. (1:yes, 0:no)","type":"integer","enum":[0,1],"default":1},"match_timeline":{"description":"Display timeline for soccer. (1:yes, 0:no)","type":"integer","enum":[0,1],"default":0},"retweet":{"description":"Allow visitors to share the news to Twitter. (1:yes, 0:no)","type":"integer","default":1,"enum":[0,1]},"livevisitors":{"description":"Display the count of visitors. (1:yes, 0:no)","type":"integer","default":1,"enum":[0,1]},"livelikes":{"description":"Allow visitors to clap for a news. (1:yes, 0:no)","type":"integer","default":1,"enum":[0,1]},"livetalk":{"description":"Allow comment. (1:yes, 0:no)","type":"integer","default":1,"enum":[0,1]},"chat_enable":{"description":"Display a chatroom. (1:yes, 0:no)","type":"integer","default":1,"enum":[0,1]},"liveblog_enable":{"description":"Leave the comments with 24liveblog account. (1:yes, 0:no)","type":"integer","default":1,"enum":[0,1]},"anonymous_enable":{"description":"Allow anonymous to comment. (1:yes, 0:no)","type":"integer","default":1,"enum":[0,1]},"chat_position":{"description":"The position of chatroom. (1:bottom-left, 0:bottom-right)","type":"integer","enum":[0,1],"default":0},"greetings":{"description":"Greeting message in chatroom.","type":"string","default":"Hi, thanks for being here, would you like to join our live chat?"},"category_id":{"description":"The category id of the event. (1:News, 2:Technology, 3:Finance, 4:Weather, 5:Others, 6:BJJ, 7:Badminton, 8:Baseball, 9:Basketball, 10:Bboying, 11:Boxing, 12:Counter Strike, 13:Cricket, 14:Cycling, 15:Football, 16:Golf, 17:Handball, 18:Hockey, 19:Judo, 20:League of Legends, 21:MMA, 22:Motorsport, 23:Other Sports, 24:Poker, 25:Rugby, 26:Soccer, 27:Surfing, 28:Tennis, 29:Volleyball, 30:Wrestling)","type":"integer","default":1,"enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30]},"statusbar":{"description":"Display statusbar. (1:yes, 0:no, only for premium user)","type":"integer","default":1,"enum":[0,1]},"whitelabel":{"description":"Remove '24liveblog' branding. (1:yes, 0:no, only for premium user)","type":"integer","enum":[0,1],"default":0},"show_on_24":{"description":"Display the event on the website of '24liveblog.com'. (1:yes, 0:no, only for premium user)","type":"integer","default":1,"enum":[0,1]},"disable_cookie":{"description":"Disable 24liveblog to save and read any cookie data. (1:yes, 0:no, only for premium user)","type":"integer","default":0,"enum":[0,1]}}},"NewsRequestBody":{"type":"object","properties":{"newstitle":{"description":"News title. Newstitle and contents can't be both empty.","type":"string","minLength":0,"maxLength":200},"contents":{"description":"News contents. Newstitle and contents can't be both empty.","type":"string","maxLength":65535},"background":{"description":"The background color of a news. \\#D1DCED, for example.","type":"string","minLength":0,"maxLength":10},"editorname":{"description":"Display the editor's name. (1:yes,0:no)","type":"integer","default":1,"enum":[0,1]},"news_type":{"description":"News type. (0:Text, 1:Audio, 2:Video, 3:Twitter, 4:Facebook, 5:YouTube, 6:Instagram, 7:HTML, 8:Poll, 9:Ad_code)","type":"integer","enum":[0,1,2,3,4,5,6,7,8,9],"default":0},"duration":{"description":"The time limit that visitors could vote for the poll.(unit:second, 0:0 min, 60:1 min, 120:2 mins, 300:5 mins, 900:15 mins, 1800:30 mins, 3600:60 mins, 86400:24\\*60 mins, 604800:7\\*24\\*60 mins)","type":"integer","enum":[0,60,120,300,900,1800,3600,86400,604800],"default":1},"options":{"description":"Poll options.","type":"array","minItems":2,"maxItems":20,"items":{"description":"Poll option item.","type":"string","minLength":1,"maxLength":200}},"above_nid":{"description":"The nid if you want to insert a news above it.","type":"string","default":""}}},"BaseResponses":{"type":"object","properties":{"err_code":{"description":"Response code","type":"integer","default":100},"err_msg":{"description":"Response message","type":"string","default":"Success"}}}}}}